<button mat-button [matMenuTriggerFor]="beforeMenu" class="menu-icon">
  <mat-icon inline="true"
    ><span class="material-icons-sharp"> outlined_flag </span></mat-icon
  >
</button>
<mat-menu #beforeMenu="matMenu" xPosition="before">
  <button mat-menu-item (click)="useLanguage('en')">
    {{ "header.english" | translate }}
  </button>
  <button mat-menu-item (click)="useLanguage('hu')">
    {{ "header.hungarian" | translate }}
  </button>
</mat-menu>
